Skip to main content
GET
/
commissions
Get partner commissions
curl --request GET \
  --url https://api-partner.houdiniswap.com/v2/commissions \
  --header 'Authorization: <api-key>'
import requests

url = "https://api-partner.houdiniswap.com/v2/commissions"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api-partner.houdiniswap.com/v2/commissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "commissions": [
    {
      "id": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "commissionAmountUsd": 123,
      "commissionPercentage": 123,
      "orderVolumeUsd": 123,
      "processed": true,
      "commissionMonth": "<string>",
      "processedTx": "<string>",
      "processedAt": "2023-11-07T05:31:56Z",
      "routeType": "<string>",
      "order": {
        "id": "<string>",
        "houdiniId": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "anonymous": true,
        "outAmountUsd": 123,
        "status": 123
      }
    }
  ],
  "total": 123,
  "totalPages": 123
}
{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}
{
"message": "<string>",
"code": "<string>",
"fields": {},
"requestId": "<string>"
}
{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Query Parameters

month
string
page
integer<int32>
default:1
Required range: 1 <= x <= 10000
pageSize
integer<int32>
default:20
Required range: 1 <= x <= 100

Response

Success

commissions
object[]
required
total
number<double>
required
totalPages
number<double>
required